=== debian/changelog ===
xymon (4.3.7-1ubuntu2) trusty; urgency=low

  * Fix embedded c-ares's use of outdated config.{guess,sub},
    resolving FTBFS on newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 12 Jan 2014 14:48:33 -0500

xymon (4.3.7-1ubuntu1) trusty; urgency=low

  * Use autotools-dev for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 12 Jan 2014 14:17:27 -0500

xymon (4.3.7-1) experimental; urgency=low

  * New upstream release (Closes: #622574, LP: #1017868)

  [ Christoph Berg ]
  * Acknowledge and incorporate NMU by gregor herrmann
  * Remove indep rules (left-overs from transitional packages)

  [ Axel Beckert ]
  * Add myself to Uploaders
  * Recommend a CGI-capable web server, defaulting to apache2
  * Update Homepage header to point to http://xymon.sourceforge.net/
  * Make git repo git-buildpackage capable
    + Ignore upstream's debian directory when importing upstream sources
    + No more have upstream sources listed in .gitignore
  * Remove the following patches (applied upstream):
    + new-menu
    + hobbitd-rrdparameters
    + 530227-hobbitclient-bashism
  * Add new patch fix-configure-for-multiarch (Closes: #639080)
  * Refreshed the following patches and partially added one-liner comments
    to make lintian happy:
    + htmlcontenttype
    + doc-paths
    + hobbitclient-debian
    + hobbitvars
    + hobbitgraph.netstat
    + hobbit-ghosts-menu
    + rrd_net_granularity
    + hobbitgraph.mailq
    + hobbitclient-tmpfs
    + hobbit_files_ifexist
    + 580493-negative-timeoffset
    + kfreebsd-makefile
    + bbcombotest-fix
    + 622069-sslv2-deprecation
  * Remove remaining traces of the debian-specific menu
    + Remove note about rebuilt upstream tarball from debian/copyright
    + Remove the menu from debian/rules, debian/xymon.install, etc.
  * Move from /etc/hobbit/ to /etc/xymon/.
    + Add xymon.NEWS entry and new xymon-client.NEWS file.
    + Install upgrade-to-430.txt and Renaming-430.txt as documentation
    + Install some files from xymond/etcfiles as examples
    + Adapt paths, variable names, etc. in debian/* accordingly.
    + Add pre-dependency on ${misc:Pre-Depends} for *.maintscript
    + Install upstream's migration tools to /usr/lib/xymon/server/libexec/
      and upstream's migration documentation to /usr/share/doc/xymon/
    + Stop old Hobbit daemons earlier, reload Apache later
    + Kill remaining vmstat processes and then delete user+group hobbit
      after chowning+chgrping files to xymon. Don't bail out if that fails.
    + At the end, remove all _empty_ directories in /etc/hobbit/ and
      possibly /etc/hobbit itself.
    + Rename data, history and rrd files according to Renaming-430.txt
    + Bump debhelper build dependency to >= 8.1.0~
    + Breaks hobbit-plugins < 20120619
    + Export DPKG_MAINTSCRIPT_PACKAGE and DPKG_MAINTSCRIPT_NAME in all
      maintainer scripts manually to make reconfiguring work with older
      debconf versions (cf. #560317, present on Squeeze)
  * Enabled hardening build flags
    + Bump dpkg-dev build dependency to >= 1.16.1~
  * Update debconf po templates for Hobbit → Xymon rename
  * Replace last hardcoded occurrence of pid file name in init.d script
  * Fix enforcement of non-parallel builds
  * Let dh_clean do all the clean up, no more calling rm in clean target
  * Bump Standards-Version to 3.9.3 (no changes)
  * Mention OpenSSL linkage exception from upstream's README file in
    debian/copyright (fixes lintian error
    possible-gpl-code-linked-with-openssl)
  * Update copyright years in debian/copyright
  * Switch to source format "3.0 (quilt)"
    + Remove traces of explicit quilt usage.
  * Fixed lintian warnings:
    + copyright-refers-to-symlink-license
    + conflicts-with-version
    + unused-override
      possibly-insecure-handling-of-tmp-files-in-maintainer-script
    + duplicate-changelog-files
    + executable-not-elf-or-script (fix permissions in
      /var/lib/xymon/www/menu/)
  * Add patches to fix the following lintian warnings:
    + spelling-error-in-binary
    + spelling-error-in-manpage (one overriden)
    + hyphen-used-as-minus-sign

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 20:16:23 +0200

xymon (4.3.0~beta2.dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: PCRE not found": patch from Ubuntu / Steve Langasek:
    - debian/rules: pass --pcrelib to find libpcre in the multiarch dir
      LP: #749190.
    Additionally build-depend on dpkg-dev (>= 1.16.0) and
    libpcre3-dev (>= 8.12-4~). (Closes: #651231)
  * Since this Ubuntu patch, SSL and LDAP also went multiarch, so:
    - also pass --ssllib and --ldaplib to configure in debian/rules
    - build-depend on libssl-dev (>= 1.0.0e-1~) and libldap2-dev (>= 2.4.25-2~)
  * libpng also went multiarch, so build/rrd.sh doesn't find it, and there's
    no option for configure. Add patch png-multiarch that changes build/rrd.sh
    to use libpng12-config instead of guessing.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Dec 2011 23:40:38 +0100

xymon (4.3.0~beta2.dfsg-9) unstable; urgency=low

  [ Axel Beckert ]
  * Change SF project name from hobbitmon to xymon in debian/watch.

  [ Christoph Berg ]
  * Remove transitional packages hobbit and hobbit-client.
  * Add /run to the default tmpfs ignore list in hobbit-clients.cfg.
    (Closes: #633061)
  * Move hobbit HOME to /var/lib/hobbit (does not affect existing
    installations). (Closes: #608787)

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jul 2011 10:54:50 +0200

xymon (4.3.0~beta2.dfsg-8) unstable; urgency=low

  * libssl1.0.0 removes SSLv2_client_method(), stop using it and document in
    bb-hosts(5) that testing "https2" will in fact use v3. (Closes: #621115)

 -- Christoph Berg <myon@debian.org>  Tue, 12 Apr 2011 13:19:22 +0200

xymon (4.3.0~beta2.dfsg-7) experimental; urgency=low

  * Allow negative time offset (clock too fast) in clock.rrd. Patch by
    Roland Rosenfeld. (Closes: #580493)

