=== debian/control ===
Source: xymon
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 8.1.0~), librrd-dev,
 libssl-dev (>= 1.0.0e-1~), libldap2-dev (>= 2.4.25-2~), libpcre3-dev (>= 8.12-4~),
 imagemagick, po-debconf, dpkg-dev (>= 1.16.1~), autotools-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/collab-maint/xymon.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xymon.git
Homepage: http://xymon.sourceforge.net/

Package: xymon
Architecture: any
Breaks: hobbit (<< 4.2.2), hobbit-plugins (<< 20120619)
Provides: hobbit
Replaces: hobbit (<< 4.2.2)
Pre-Depends: ${misc:Pre-Depends}
Depends: xymon-client, ${shlibs:Depends}, ${misc:Depends}
Recommends: apache2 | httpd-cgi
Suggests: rrdtool
Description: monitoring system for systems, networks and applications
 Xymon (previously called Hobbit) is a network- and applications-
 monitoring system designed for use in large-scale networks. But it will
 also work just fine on a small network with just a few nodes. It is
 low-overhead and high-performance, with an easy to use web front-end.
 It handles monitoring of network services, and through client packages
 it can also be used to monitor server- specific items.  Alerts can
 trigger when monitoring detects a problem, resulting in e-mails or
 calls to your pager or mobile phone.
 .
 Xymon has a great deal of inspiration from the non-free Big Brother
 package, but does not include any Big Brother code.

Package: xymon-client
Architecture: any
Breaks: hobbit (<= 4.2.0-1), hobbit-client (<< 4.2.2), hobbit-plugins (<< 20120619)
Provides: hobbit-client
Replaces: hobbit-client (<< 4.2.2)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base
Suggests: xymon-plugins | hobbit-plugins
Description: client for the Xymon network monitor
 Client data collection package for Xymon (previously known as Hobbit).
 This gathers statistics and data from a single system and reports it to
 the Xymon monitor. You should run this on all systems if you have a
 Xymon server installed.
