=== debian/watch ===
version=3
options="dversionmangle=s/\.dfsg$//,uversionmangle=s/-beta/~beta/" \
http://sf.net/xymon/xymon-(.*).tar.gz
